Loading...
Searching...
No Matches
VPBRegister Class Reference
Internal API functions » Hardware registry
Collaboration diagram for VPBRegister:

## Public Member Functions

unsigned int | GetBoardCount () const
| Return the number of boards registered.
unsigned int | GetCountryCode () const
| Return the global country code from vpb.conf.
VPBREG & | GetReg (int board)
const VPBHANDLE & | LookupHandle (int handle) const
| Look up the `VPBHANDLE` entry for handle.
int | NewHandle (int board, int port)
| Return a new handle for a port on some board.

## Member Function Documentation

## GetCountryCode()

unsigned int VPBRegister::GetCountryCode | ( |  | ) | const

inline

Return the global country code from vpb.conf.

If no global country code was configured there, it will return 0.